Subject: Using cygwin and JAVA/JNI
From: "gilles BOURGEOIS" <[email-masked]>
To: <[email-masked]>
Cc: "gilles Bourgeois" <[email-masked]>
Date: Fri, 17 Jan 2003 15:41:43 +0100

hello
I wonder if it is possible to use JNI upon a DLL .i.e a shared libray like
.so file generated with gcc, without the mno-cygwin option.
(my lib uses IPC SYSTEM V, that is why I rely on the cygwin and cygipc
libraries)
I am mot a newbie with java/jni or gcc, but mixing all of them seems to
crash the JVM.
Of course, It works if the library is generated with gcc under linux
but if executing the whole program (JVM instantiate) under cygwin, it fails.
any one ever performed such a tricky architecture?
thanks
gilles

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/